#ifndef __INCLUDE_GUI_CONSTANTS_HEADER_SDTGUI__
#define __INCLUDE_GUI_CONSTANTS_HEADER_SDTGUI__


namespace sdtgui
{
	enum eConstLayer
	{
		LAYER_TYPE_TOP_MOST		= -2,
		LAYER_TYPE_UNDER_TOP	= -1,
		LAYER_TYPE_INVALID		=  0,
		LAYER_TYPE_START		=  1,
	};

	enum eConstWidgetType
	{
		WIDGET_TYPE_WINDOW			= 0,
		WIDGET_TYPE_TEXTLINE		= 1,
		WIDGET_TYPE_BUTTON			= 2,
	};


	enum eConstTextLineDefaultValue
	{
		TEXTLINE_DEFAULT_FONT_HEIGHT		= 15,
		TEXTLINE_DEFAULT_FONT_WIDTH			= 5,
		TEXTLINE_DEFAULT_FONT_ESCAPEMENT	= 0,
		TEXTLINE_DEFAULT_FONT_ORIENTATION	= 0,
		TEXTLINE_DEFAULT_FONT_WEIGHT		= FW_NORMAL,
		TEXTLINE_DEFAULT_FONT_ITALIC		= FALSE,
		TEXTLINE_DEFAULT_FONT_UNDERLINE		= FALSE,
		TEXTLINE_DEFAULT_FONT_STRIKE		= FALSE,
		TEXTLINE_DEFAULT_FONT_CHARSET		= DEFAULT_CHARSET,
		TEXTLINE_DEFAULT_FONT_OUTPRECISION	= OUT_DEFAULT_PRECIS,
		TEXTLINE_DEFAULT_FONT_CLIPPRECISION = CLIP_DEFAULT_PRECIS,
		TEXTLINE_DEFAULT_FONT_QUALITY		= DEFAULT_QUALITY,
		TEXTLINE_DEFAULT_FONT_PITCH			= DEFAULT_PITCH,


		TEXTLINE_DEFAULT_COLOR				= RGB(220,220,0),
	};


	enum eConstButton
	{
		BUTTON_STATUS_DEFAULT	= 0,
		BUTTON_STATUS_OVER		= 1,
		BUTTON_STATUS_DOWN		= 2,

		BUTTON_DEFAULT_DEFAULT_COLOR	= RGB(180,180,180),
		BUTTON_DEFAULT_DOWN_COLOR		= RGB(180,180,180),
		BUTTON_DEFAULT_OVER_COLOR		= RGB(255,255,255),
	};


	enum eConstWidget
	{
		SDT_WIDGET_INVALID_ID	= -1,


		//settings types enumeration
		WIDGET_DICT_KEY_POS		=0,
		WIDGET_DICT_KEY_SIZE,
		WIDGET_DICT_KEY_TYPE,
		
		//TEXTLINE & BUTTON
		WIDGET_DICT_KEY_TEXT,
		WIDGET_DICT_KEY_TEXT_COLOR,
		
		//BUTTON
		WIDGET_DICT_KEY_COVER_DEFAULT,
		WIDGET_DICT_KEY_COVER_DOWN,
		WIDGET_DICT_KEY_COVER_OVER,


		//IMAGE
		WIDGET_DICT_KEY_IMAGE,

		

	};
}



#endif //__INCLUDE_GUI_CONSTANTS_HEADER_SDTGUI__